/**********************************************************************
 *
 * Copyright(C) 2011, Embedded Artists AB
 * All rights reserved.
 *
 ***********************************************************************
 * Software that is described herein is for illustrative purposes only
 * which provides customers with programming information regarding the
 * products. This software is supplied "AS IS" without any warranties.
 * Embedded Artists AB assumes no responsibility or liability for the
 * use of the software, conveys no license or title under any patent,
 * copyright, or mask work right to the product. Embedded Artists AB
 * reserves the right to make changes in the software without
 * notification. Embedded Artists AB also make no representation or
 * warranty that such application will be suitable for the specified
 * use without further testing or modification.
 **********************************************************************/


/******************************************************************************
 * Includes
 *****************************************************************************/
#include "type.h"
#include "general.h"
#include "application.h"
#include "systick.h"
#include "ls013b4dn04.h"
#include "s25fl004.h"
#include "pic01.h"

/******************************************************************************
 * Typedefs and defines
 *****************************************************************************/
#define SW_VERSION_STRING "SW ver 2.01"

#define DELAY(MS) {sysTickCounter = 0; initSysTickCounter(10); while (sysTickCounter < (MS/100));}
#define IMG_BUF_SZ (1214)

/******************************************************************************
 * Public functions
 *****************************************************************************/

void lcd_StartupMessage (void)
{
  uint32_t result = 0;
  uint16_t offset = 0;

  /****************************************************/
  /* First screen: Picture with the Oryx              */
  /****************************************************/
  result = lcd_getBmpOffset((uint8_t*)&pic01[0], &offset);
  if (result) {
    lcd_copyImage8(0, 0, (uint8_t*)&pic01[offset], 96, 96, TRUE, TRUE);
  }
  //Delay 3 sec
  DELAY(3000);

  /****************************************************/
  /* Second screen: "Thank you for buying..."         */
  /****************************************************/
  lcd_clearScreen(LCD_COLOR_WHITE, TRUE);
  lcd_rect(1, 1, 94, 94, LCD_COLOR_BLACK);
  lcd_putString( 6,  4, "Thank you for", LCD_COLOR_BLACK, LCD_COLOR_WHITE, 25, TRUE);
  lcd_putString( 6, 12, "using...", LCD_COLOR_BLACK, LCD_COLOR_WHITE, 25, TRUE);
  lcd_putString( 6, 24, "The ORYX board", LCD_COLOR_BLACK, LCD_COLOR_WHITE, 25, TRUE);
  lcd_putString(12, 32, "- powered by", LCD_COLOR_BLACK, LCD_COLOR_WHITE, 25, TRUE);
  lcd_putString(24, 40, "LPCXpresso", LCD_COLOR_BLACK, LCD_COLOR_WHITE, 25, TRUE);

  //Draw box with shade around "The ORYX Board - powered by LPCXpresso"
  lcd_line( 3, 22, 91, 22, LCD_COLOR_BLACK, FALSE);
  lcd_line(91, 22, 91, 48, LCD_COLOR_BLACK, FALSE);
  lcd_line(91, 48,  3, 48, LCD_COLOR_BLACK, FALSE);
  lcd_line( 3, 48,  3, 22, LCD_COLOR_BLACK, FALSE);
  lcd_line( 5, 49, 92, 49, LCD_COLOR_BLACK, FALSE);
  lcd_line(92, 24, 92, 49, LCD_COLOR_BLACK, TRUE);

//  lcd_putString(4, 51, "An Arrow desi-,", LCD_COLOR_BLACK, LCD_COLOR_WHITE, 25, TRUE);
//  lcd_putString(4, 59, "gn, developed", LCD_COLOR_BLACK, LCD_COLOR_WHITE, 25, TRUE);
  lcd_putString(4, 59, "Developed by", LCD_COLOR_BLACK, LCD_COLOR_WHITE, 25, TRUE);
  lcd_putString(4, 67, "Embedded", LCD_COLOR_BLACK, LCD_COLOR_WHITE, 25, TRUE);
  lcd_putString(4, 75, "Artists", LCD_COLOR_BLACK, LCD_COLOR_WHITE, 25, TRUE);

  lcd_putString(4, 84, SW_VERSION_STRING, LCD_COLOR_BLACK, LCD_COLOR_WHITE, 0, TRUE);

  //Delay 5 sec
  DELAY(5000);
}




