/*****************************************************************************
 *   adc.h:  Header file for ADC
 *
 *   Copyright(C) 2011, Embedded Artists AB
 *   All rights reserved.
 *
******************************************************************************/
#ifndef __ADC_H
#define __ADC_H

#define PWR_ADC_INIT GPIOSetDir( 1, 13, 1 )
#define PWR_ADC_ON   GPIOSetBitValue( 1, 13, 0 )
#define PWR_ADC_OFF  GPIOSetBitValue( 1, 13, 1 )


#define ADC_OFFSET		0x10
#define ADC_INDEX		4

#define ADC_DONE		0x80000000
#define ADC_OVERRUN		0x40000000
#define ADC_ADINT		0x00010000

#define ADC_CLK			2400000		/* set to 2.4Mhz */
#define ADC_NUM			8			/* for LPC11xx */

extern volatile uint32_t ADCValue[ADC_NUM];


void ADCInit( uint32_t ADC_Clk );
uint32_t ADCRead( uint8_t channelNum );

#endif /* end __ADC_H */
/****************************************************************************
**                            End Of File
*****************************************************************************/
