/**********************************************************************
 *
 * Copyright(C) 2011, Embedded Artists AB
 * All rights reserved.
 *
 ***********************************************************************
 * Software that is described herein is for illustrative purposes only
 * which provides customers with programming information regarding the
 * products. This software is supplied "AS IS" without any warranties.
 * Embedded Artists AB assumes no responsibility or liability for the
 * use of the software, conveys no license or title under any patent,
 * copyright, or mask work right to the product. Embedded Artists AB
 * reserves the right to make changes in the software without
 * notification. Embedded Artists AB also make no representation or
 * warranty that such application will be suitable for the specified
 * use without further testing or modification.
 **********************************************************************/

#ifndef __PCF8523_H
#define __PCF8523_H

//PCF8523 registers
#define     PCF8523_REG_CONTROL_1		0x00
#define     PCF8523_REG_CONTROL_2		0x01
#define     PCF8523_REG_CONTROL_3		0x02
#define     PCF8523_REG_SECONDS			0x03
#define     PCF8523_REG_MINUTES			0x04
#define     PCF8523_REG_HOURS			0x05
#define     PCF8523_REG_DAYS			0x06
#define     PCF8523_REG_WEEKDAYS		0x07
#define     PCF8523_REG_MONTHS			0x08
#define     PCF8523_REG_YEARS			0x09
#define     PCF8523_REG_MINUTE_ALARM	0x0A
#define     PCF8523_REG_HOUR_ALARM		0x0B
#define     PCF8523_REG_DAY_ALARM		0x0C
#define     PCF8523_REG_WEEKDAY_ALARM	0x0D
#define     PCF8523_REG_OFFSET			0x0E
#define     PCF8523_REG_TMR_CLKOUT_CTRL	0x0F
#define     PCF8523_REG_TMR_A_FREQ_CTRL	0x10
#define     PCF8523_REG_TMR_A_REG		0x11
#define     PCF8523_REG_TMR_B_FREQ_CTRL	0x12
#define     PCF8523_REG_TMR_B_REG		0x13

typedef struct
{
	uint8_t seconds;
	uint8_t minutes;
	uint8_t hours;
	uint8_t days;
	uint8_t weekdays;
	uint8_t months;
	uint8_t years;
} tRtcTime;

volatile uint8_t rtcFlag;

void pcf8523_registerCallback (uint8_t (*pFunc)(void));
void pcf8523_init (void);
int8_t pcf8523_readTime(tRtcTime *pTime);
int8_t pcf8523_setTime(tRtcTime *pTime);
uint8_t pcf8523_readCTRL2 (void);
int8_t pcf8523_writeCTRL2 (uint8_t regVal);


#endif /* end __PCF8523_H */
/****************************************************************************
**                            End Of File
*****************************************************************************/
