/**********************************************************************
 *
 * Copyright(C) 2011, Embedded Artists AB
 * All rights reserved.
 *
 ***********************************************************************
 * Software that is described herein is for illustrative purposes only
 * which provides customers with programming information regarding the
 * products. This software is supplied "AS IS" without any warranties.
 * Embedded Artists AB assumes no responsibility or liability for the
 * use of the software, conveys no license or title under any patent,
 * copyright, or mask work right to the product. Embedded Artists AB
 * reserves the right to make changes in the software without
 * notification. Embedded Artists AB also make no representation or
 * warranty that such application will be suitable for the specified
 * use without further testing or modification.
 **********************************************************************/

#ifndef __PCF8885_H
#define __PCF8885_H

//PCF8885 registers
#define     PCF8885_REG_WR_CONFIG	0x30
#define     PCF8885_REG_RD_CONFIG	0x33
#define     PCF8885_REG_WR_CLOCK	0x35
#define     PCF8885_REG_RD_CLOCK	0x36
#define     PCF8885_REG_WR_MASK		0x39
#define     PCF8885_REG_RD_MASK		0x3A

#define     PCF8885_COM_RESET	0x00
#define     PCF8885_COM_CLR_INT	0x03
#define     PCF8885_COM_SLEEP	0x05
#define     PCF8885_COM_WAKEUP	0x06
#define     PCF8885_COM_INT_I2C	0x3C

#define PCF8885_SLEEP_PIN_HIGH	GPIOSetBitValue( 1, 15, 1 )
#define PCF8885_SLEEP_PIN_LOW	GPIOSetBitValue( 1, 15, 0 )

extern volatile uint8_t flagCapSenseNew;
extern uint8_t capSenseVal;
#define CAP_KEY_7	0x01
#define CAP_KEY_6	0x02
#define CAP_KEY_5	0x04
#define CAP_KEY_4	0x08
#define CAP_KEY_3	0x10
#define CAP_KEY_2	0x20
#define CAP_KEY_1	0x40
#define CAP_KEY_0	0x80

#define CAP_KEY_NONE  (0x00)
#define CAP_KEY_OK    (CAP_KEY_0)
#define CAP_KEY_RIGHT (CAP_KEY_7)
#define CAP_KEY_LEFT  (CAP_KEY_6)
#define CAP_KEY_UP    (CAP_KEY_5)
#define CAP_KEY_DOWN  (CAP_KEY_4)


void pcf8885_init (void);
int8_t pcf8885_command (uint8_t command);
int8_t pcf8885_register_write (uint8_t regAddr, uint8_t regVal);
uint8_t pcf8885_register_read(uint8_t regAddr);
uint8_t pcf8885_readSense (void);

#endif /* end __PCF8885_H */
/****************************************************************************
**                            End Of File
*****************************************************************************/
