/**********************************************************************
 *
 * Copyright(C) 2011, Embedded Artists AB
 * All rights reserved.
 *
 ***********************************************************************
 * Software that is described herein is for illustrative purposes only
 * which provides customers with programming information regarding the
 * products. This software is supplied "AS IS" without any warranties.
 * Embedded Artists AB assumes no responsibility or liability for the
 * use of the software, conveys no license or title under any patent,
 * copyright, or mask work right to the product. Embedded Artists AB
 * reserves the right to make changes in the software without
 * notification. Embedded Artists AB also make no representation or
 * warranty that such application will be suitable for the specified
 * use without further testing or modification.
 **********************************************************************/

#ifndef __S25FL004_H
#define __S25FL004_H

#include "ssp.h"

#define PWR_FLASH_INIT GPIOSetDir( 1, 16, 1 )
#define PWR_FLASH_ON   GPIOSetBitValue( 1, 16, 0 )
#define PWR_FLASH_OFF  GPIOSetBitValue( 1, 16, 1 )

uint32_t s25fl004_init (void);
uint32_t flash_read(uint8_t* buf, uint32_t offset, uint32_t len);
uint32_t flash_write(uint8_t* buf, uint32_t offset, uint32_t len);
uint32_t flash_erase_sector(uint32_t offset);
uint32_t flash_getPageSize(void);
uint32_t flash_getSectorSize(void);
uint32_t flash_getTotalSize(void);


#endif /* end __S25FL004_H */
/****************************************************************************
**                            End Of File
*****************************************************************************/
